# Installdox usage

Installdox is a perl script that is generated by doxygen whenever tag files are used (See `TAGFILES` in section External reference options). The script is located in the same directory where the HTML files are located.

Its purpose is to set the location of the external documentation for each tag file at install time.

Calling `installdox` with option -h at the command line will give you a brief description of the usage of the program.

The following options are available:

-l `<tagfile>@<location>`

  Each tag file contains information about the files, classes and members documented in a set of HTML files. A user can install these HTML files anywhere on his/her hard disk or web site. Therefore installdox requires the location of the documentation for each tag file `<tagfile>` that is used by doxygen. The location `<location>` can be an absolute path or a URL.

  Note:
    Each <tagfile> must be unique and should only be the name of the file, not including the path.
-q
  When this option is specified, installdox will generate no output other than fatal errors.

Optionally a list of HTML files may be given. These files are scanned and modified if needed. If this list is omitted all files in the current directory that end with ``.html are used.

The `installdox` script is unique for each generated class browser in the sense that it `knows' what tag files are used. It will generate an error if the -l option is missing for a tag file or if an invalid tag file is given.